--- ../fltk118-utf8-2007-10-07/configure.in	2007-06-16 10:48:27.000000000 +0200
+++ ./configure.in	2007-10-16 10:31:16.000000000 +0200
@@ -264,6 +264,7 @@
         if test "x$enable_quartz" = "xyes"; then
             AC_DEFINE(USE_QUARTZ, 1)
             AC_DEFINE(__APPLE_QUARTZ__)
+            USE_QUARTZ=1
         else
             AC_DEFINE(__APPLE_QD__)
         fi
@@ -412,7 +413,7 @@
 AC_CHECK_HEADER(strings.h, AC_DEFINE(HAVE_STRINGS_H))
 AC_CHECK_FUNCS(strcasecmp strlcat strlcpy)
 
-AC_CHECK_HEADER(locale.h, AC_DEFINE(HAVE_LOCALE_H))
+AC_CHECK_HEADER(locale.h, AC_DEFINE(HAVE_LOCALE_H) HAVE_LOCALE=1)
 AC_CHECK_FUNCS(localeconv)
 
 dnl FLTK library uses math library functions...
@@ -491,6 +492,7 @@
 
 AC_CHECK_LIB(jpeg,jpeg_CreateCompress,
     AC_DEFINE(HAVE_LIBJPEG)
+    HAVE_LIBJPEG=1
     JPEGINC=""
     JPEG=""
     IMAGELIBS="-ljpeg $IMAGELIBS",
@@ -511,6 +513,7 @@
 
 AC_CHECK_LIB(z,gzgets,
     AC_DEFINE(HAVE_LIBZ)
+    HAVE_LIBZ=1
     ZLIBINC=""
     ZLIB=""
     LIBS="-lz $LIBS"
@@ -536,6 +539,7 @@
     PNG=""
     IMAGELIBS="-lpng $IMAGELIBS"
     AC_DEFINE(HAVE_LIBPNG)
+    HAVE_LIBPNG=1
     AC_CHECK_HEADER(png.h, AC_DEFINE(HAVE_PNG_H))],[
     if test x$enable_localpng = xno; then
         PNGINC=""
@@ -755,6 +759,7 @@
 	if test x$enable_xinerama = xyes; then
 	    AC_CHECK_LIB(Xinerama,XineramaIsActive,
 		    AC_DEFINE(HAVE_XINERAMA)
+                    HAVE_XINERAMA=1
 		    LIBS="-lXinerama $LIBS")
 	fi
 
@@ -771,6 +776,7 @@
 		AC_CHECK_HEADER(X11/Xft/Xft.h,
 		    AC_CHECK_LIB(Xft, XftDrawCreate,
 	        	AC_DEFINE(USE_XFT)
+                        USE_XFT=1
 			LIBS="-lXft $LIBS"))
 	    fi
 	fi
@@ -779,7 +785,8 @@
         AC_ARG_ENABLE(xdbe, [  --enable-xdbe           turn on Xdbe support [default=no]])
 
 	if test x$enable_xdbe = xyes; then
-	    AC_CHECK_HEADER(X11/extensions/Xdbe.h, AC_DEFINE(HAVE_XDBE),,
+	    AC_CHECK_HEADER(X11/extensions/Xdbe.h, AC_DEFINE(HAVE_XDBE)
+                HAVE_XDBE=1,,
 	        [#include <X11/Xlib.h>])
 	fi
 
@@ -798,6 +805,7 @@
 
         if test x$ac_cv_have_overlay = xyes; then
 	    AC_DEFINE(HAVE_OVERLAY)
+            HAVE_OVERLAY=1
 	fi
 
 	# Make symlinks since UNIX/Linux is case sensitive.
@@ -1076,6 +1084,88 @@
 dnl Make sure the fltk-utf8-config script is executable...
 chmod +x fltk-utf8-config
 
+dnl Status report
+echo ""
+echo "Feature support summary:"
+
+
+if test -n "$GLLIB"; then
+  echo "   GL           yes"
+else
+  echo "   GL           no"
+fi
+
+if test -n "$THREADS"; then
+  echo "   Threads      yes"
+else
+  echo "   Threads      no"
+fi
+
+if test -n "$HAVE_XINERAMA";then
+  echo "   Xinerama     yes"
+else
+  echo "   Xinerama     no"
+fi
+
+if test -n "$USE_XFT";then
+  echo "   Xft          yes"
+else
+  echo "   Xft          no"
+fi
+
+if test -n "$HAVE_XDBE";then
+  echo "   Xdbe         yes"
+else
+  echo "   Xdbe         no"
+fi
+
+if test -n "$HAVE_OVERLAY";then
+  echo "   Overlay      yes"
+else
+  echo "   Overlay      no"
+fi
+
+if test -n "$DEBUGFLAG";then
+  echo "   Debugging    yes"
+else
+  echo "   Debugging    no"
+fi
+
+if test -n "$HAVE_LIBZ";then
+  echo "   Zip          yes"
+else
+  echo "   Zip          no"
+fi
+
+if test -n "$HAVE_LIBPNG";then
+  echo "   libpng       yes"
+else
+  echo "   libpng       no"
+fi
+
+if test -n "$HAVE_LIBJPEG";then
+  echo "   Jpeg         yes"
+else
+  echo "   Jpeg         no"
+fi
+echo   "   IMAGELIBS    = $IMAGELIBS"
+if test -n "$AUDIOLIBS";then
+  echo "   Audio        yes"
+else
+  echo "   Audio        no"
+fi
+
+if test -n "$HAVE_LOCALE";then
+  echo "   Locale       yes"
+else
+  echo "   Locale       no"
+fi
+
+if test -n "$USE_QUARTZ";then
+  echo "   Quartz       yes"
+fi
+
+
 dnl
 dnl End of "$Id: configure.in 5849 2007-05-20 16:32:37Z matt $".
 dnl
